/* GLOBAL STYLES */
@font-face {
    font-family: 'GangwonEdu_OTFBoldA';
    src: url('https://fastly.jsdelivr.net/gh/projectnoonnu/noonfonts_2201-2@1.0/GangwonEdu_OTFBoldA.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
      display: flex;
  flex-direction: column;
  min-height: 100vh; /* Prend toute la hauteur de la fenêtre */
  font-family: 'Arial', sans-serif;
  background-color: #f4f4f4;
  color: #333;
}

h1, h2, h3 {
  font-weight: normal;
}

h1 {
    margin-top: 80px;
    font-size: 2.82rem;
    line-height: 0.9;
    font-family: "Dongle", serif;
}

a {
  text-decoration: none;
  color: inherit;
}

th, td {
    vertical-align: top;
}

img {
  max-width: 100%;
}


.center {
  margin-left: auto;
  margin-right: auto;
  max-width: 100%;  /* Tu peux ajuster cette valeur en fonction de la taille que tu souhaites */
  table-layout: fixed;  /* Empêche les cellules de se développer de manière excessive */
  word-wrap: break-word;  /* Permet de couper les mots trop longs */
  border-spacing: 10px;
  margin-top: 50px;
}

.center td {
  padding: 5px;  /* Espace entre les cellules */
}

.center-container {
  text-align: center;
}

.center-container span {
  display: inline-block;
}

/* Conteneur pour centrer le contenu */
.container {
    display: flex; /* Utilise flexbox pour aligner les blocs */
  justify-content: center;
  max-width: 1200px; /* Limite la largeur à 1200px (ajustable selon ton besoin) */
  width: 100%;
  line-height: 1.5;
  margin: auto;
  font-family: "Gowun Dodum", serif;
  font-size: 17px;
  font-weight: 400;
  font-style: normal;
}
/* Bloc principal */
.main-block {
  flex: 1; /* Prend tout l'espace restant */
    background-color: #ffffff;
      margin-top: 20px;
  margin-bottom: 20px;
  padding: 30px;  /* Espacement autour du contenu */
  margin-right: 20px; /* Ajoute un petit espace entre les blocs */
}

/* Bloc supplémentaire (à droite) */
.side-block {
  display: none; /* Masquer par défaut sur les petits écrans */
  width: 300px; /* Largeur fixe pour le bloc supplémentaire */
  background-color: #ddd;
  padding: 20px;
  margin-top: 20px;
  margin-bottom: 20px;
  padding: 30px;  /* Espacement autour du contenu */
}

/* Média Query pour les grands écrans */
@media (min-width: 948px) {
  .container {
    justify-content: flex-start; /* Décale le bloc principal vers la gauche */
  }

  .side-block {
    display: block; /* Affiche le bloc supplémentaire sur les grands écrans */
  }
}

.container h2 {
  font-family: "Instrument Serif", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 30px;
  margin-bottom: 25px;
}

.container p {
  font-family: "Dongle", serif;
  font-weight: 300;
  font-size: 26px;
  line-height: 0.6;
  text-align: justify;
}

#texte {
    font-family: "Gowun Batang", serif;
    text-align: justify;
    font-weight: 400;
    font-style: normal;
    font-size: 21px;
    letter-spacing: 0.5px;
    word-spacing: 0.7px;
    margin-left: 3%;

}

/* Blocs de texte important */
.block {
  padding: 15px;
  margin-top: 20px;
  margin-bottom: 20px;
  border-radius: 0px;
}

#paragraphe {
    margin-top: 10px;
    margin-bottom: 15px;
    text-align: justify;
}

.paragraphe {
    margin-top: 10px;
    margin-bottom: 15px;
    text-align: justify;
}

#exemple1 {
  font-family: "Dongle", serif;
  font-weight: 300; 
  font-size: 35px;
  line-height: 0.9;
 margin-left: 30px;
    margin-top: 20px;
}
.exemple {
    text-align: center;
    font-size: 3.6vmin;
}

.exempleroma {
    text-align: center;
    text-transform:uppercase;
    font-size: 1.6vmin;
}

.avertissement {
  background-color: #F44336; /* Rouge pour "attention" */
  color: white;
}

.remarque {
  background-color: rgb(183, 211, 240, 0.3);
    box-shadow: 0 2px 10px rgba(173, 173, 253, 0.6);
   padding: 20px;
    text-align: center;
margin-left: 30px;
    margin-right: 30px;
    border-radius: 8px;
}

.remarque p {
  line-height: 0.9;
  font-weight: 400;
}

.introduction {
      background-color: #f1f1f1;
    padding: 20px;
    text-align: center;
    margin-top: 10px;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.4);
}

blockquote {
  font-style: italic;
  background-color: #f0f0f0;
  border-left: 5px solid #3498DB;
  padding: 10px;
  margin: 20px 0;
}

.soutien {
    background-color: #f1f1f1;
    padding: 20px;
    text-align: center;
    margin-top: 80px;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.4);
}

.soutien h2 {
    color: #333333;
    font-size: 1.5em;
}

.soutien p {
    color: #666666;
    margin-bottom: 20px;
}

#parkjinwoo-mot {
    font-family:  GangwonEdu_OTFBoldA;
    font-size: 20px;
    text-align: center;
}



  /* Style pour la fenêtre modale */
 .modal {
    display: none; /* Par défaut, la fenêtre est cachée */
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0); /* Fond noir */
    background-color: rgba(0,0,0,0.9); /* Opacité du fond */
  }

  /* Contenu de l'image dans la fenêtre modale */
  .modal-content {
    margin:auto;
    margin-top: 10vmin;
    display: block;
    width: 80%;
    max-width: 700px;
  }

  /* Fermer la fenêtre modale */
  .close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #fff;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
  }

  .close:hover,
  .close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
  }

  #caption {
    text-align: center;
    color: #ccc;
    padding: 10px;
    font-size: 18px;
  }

/* FOOTER */
footer {
  text-align: center;
  padding: 20px;
  background-color: #333;
  color: white;
  margin-top: auto;         /* Pousse le footer au bas de la page */
}

footer .socials {
  margin-bottom: 10px;
}

footer .socials a {
  margin: 0 10px;
  color: white;
  font-size: 1.2rem;
  transition: color 0.3s;
}

footer .socials a:hover {
  color: #FF5F5F;
}
